#GameData::tables/missions

missions {
	settlers_in_danger {
		name = "Settlers in danger"
	    description = "Settlers asked you to clean up the automatic turrets in the desert nearby"
		reqs {
			min_reputation = 0
			influence_roll = 1
		}
		mission_text = "Settlers are in danger! You need to engage the local savage Fremen tribe which stalks local settlers. "\
					   "They deploy automatic turrets in the strategic settling areas and it would be your job to take down these "\
                       "obstacles. If you survive return here for#ffff00 1000$#ffffff of reward\n\n"\
					   "#cc9911"Help our poor settlers. We can offer you cash... just hurry!"#ffffff\n\n"
		reward {
			credits = 1000
			fame = 10
			reputation = 15
		}
		claim_text = "Location of the automatic turrets has been marked on your map. "
		world_object {
		    name = Savage Fremens
			description = "Here are located automatic turrets of savage Fremen tribe that stalks the settlers."
			need_to_scout = false
			scout_result {
				message = "There, you've arrived to the area where turrets are deployed. Now is the final for decision: "\
			              "will you engage the turrets, or will you turn back?"
				options {
					1_attack {
						name = "Engage"
						result {
							message = "You discover enemy turret. Prepare for battle..."
							battle {
								vehicle = turret
								on_victory {
									mission_status_change = settlers_in_danger:return_for_reward
									clean_world_object = true
								}
							}
						}
					}
				}			
			}
		}
		claim_the_reward_text = "For destroying the turrets, thankful settlers give you cash as a reward."
	}
	gather_information {
		name = "Gather information"
	    description = "Adam 'Redbeard' Heyworth wants credible information of 'La Caravana' whereabouts from $(town)."
		marker_description = "Here you can obtain information about 'La Caravana' for Adam 'Redbeard' Heyworth."
		reqs {
			fame = 20
			influence_roll = 1
		}
		mission_text = "Adam 'Redbeard' Heyworth is planning on raiding "La Caravana" - the $(house) treasure fleet. "\
                       "He needs credible information on its whereabouts.\n\n"\
                       "Roll an#cc9911 influence#ffffff check in $(town) during town activities. Succeed and return for the reward:"\
                       "#ffff00 1000$#ffffff and one free rumor.\n\n"\
					   "#cc9911"Me face is too well known - but you... you can ask around."#ffffff\n\n"
		reward {
			credits = 1000
			fame = 5
			reputation = 5
			rumors = 1
		}
		claim_the_reward_text = "Adam is pleased with the information you'd collected. He gives you the reward and tells a following rumor..."
        roll_success_text = "You managed to obtain viable information about 'La Caravana' whereabouts. Now you just need to return to "\
		               "Adam 'Redbeard' Heyworth and ask for the reward."
    }
    fathers_plea {
		name = "A Father's plea"
	    description = "A young Maurits van Wassermann who has been taken by Fremen tribe, needs to be brought here."
		reqs {
			influence_roll = 1
		}
		mission_text = "Bring young Maurits van Wassermann who has been taken by a nearby Fremen tribe outside the town. "\
					   "You will need to make a successful#cc9911 scouting#ffffff roll to find the tribe, and then "\
                       "make a successful#cc9911 influence#ffffff roll to convince the tribe to bring the boy back. "\
					   "If succeed you will receive#ffff00 1000$#ffffff of reward. "
		reward {
			credits = 1000
			reputation = 20
			fame = 10
		}
		claim_text = "Location of Fremen tribe has been marked on your map. "
		world_object {
		    name = Fremen tribe
			description = This is where young Maurits van Wassermann is supposed to be held.
			scout_result {
				message = "You managed to find the Fremen tribe that had taken young Maurits van Wassermann. "\
			              "Now, you just need to convince the tribe to let the boy leave by making a successful#cc9911 influence#ffffff roll... "
				options {
					1_roll {
						name = "Roll#cc9911 influence"
						result {
							roll {
								check = influence
								success {
								    message = "You managed to persuade the tribe leader to let the boy free. He offered that his tribe will "\
									          "transport the boy back to his father."
									mission_status_change = return_for_reward
								}
								failure {
								    message = "Mission failed!"
									mission_status_change = completed
								}
							}
						}
					}
				}
			}
		}
		claim_the_reward_text = "You receive the reward from the happy father. He also spread a word about your deed - your reputation raises."
	}
    forbidden_date {
		name = "Forbidden date"
	    description_claim = "The governor wants you to attack the first merchant you will find."
		description_reward = "Return here for the#ffff00 500$#ffffff of reward."
		reqs {
			influence_roll = 1
			fame = 5
		}
		mission_text = "The governor's annoying wife, Christine la Croix, is having an affair. "\
					   "She is with her lover on the first merchant vehicle you find. "\
					   "Scary them by attacking (you don't need to win the battle) and return for"\
					   "#ffff00 500$#ffffff of reward. The governor will use his contacts to redeem your "\
					   "reputation - that single merchant raid won't count as a hostile action and so no Bounty will be received by you.\n\n"\
					   "#cc9911"Bring home my good-for-nothing wife... oh, and please don't tell anyone."#ffffff\n"
		reward {
			credits = 500
		}
		claim_the_reward_text = "The governor is happy with your performance - his problems with the wife have ended. You receive promised reward."
    }
    precious_cargo {
		name = "Precious Cargo"
		description = "Transport stolen $(house) jewels to $(town) and receive#ffff00 3500$#ffffff."
		reqs {
			cargo_slots = 1
			credits = 1500
			min_reputation = 10
			roll_influence = 1
		}
		mission_text = "Transport stolen jewels to $(town). Visit town mayor there and receive#ffff00 3500$#ffffff. "\
					   "Alternatively reach any $(house) town and return the goods in the townhall - in such case you will receive#ffff00 2500$#ffffff, "\
                       "but get a $(reward_house) Bounty."
		reward {
			fame = 5
			hard_coded = 1
		}
		claim_the_reward_text = "You give the stolen jewels to the mayor, who in return rewards you with cash."
    }
    hunted {
		name = "Hunted"
		description_claim = "Jean-Luc Buffet, a famous judge living in $(town) is wanting someone to bring him documents from here."
		description_reward = "Jean-Luc Buffet, a famous judge needs the documents you carry."
		reqs {
			cargo_slots = 1
			no_negative_reputation = 1
			roll_influence = 1
			fame = 15
		}
		mission_text =    "Jean-Luc Buffet, a famous judge living in $(town) is trialing a notorious karauder leader. "\
						  "However, to complete the conviction the judge needs proofs of evil deeds done by the suspect. "\
                          "You will need to transport documents (they take up one cargo space) to the judge, from whom "\
                          "you will receive#ffff00 1500$#ffffff reward. However, as the documents contain attractive "\
                          "data to any self-respecting karauder, you will be hunted and attacked by any karauder captain "\
                          "you meet on your way. Throwing out the documents before you reach the destination will "\
                          "result in failing this mission - although pirates will stop hunting you. "
		claim_text =      "You receive the documents - they occupy one of your vehicle's cargo slot. "\
                          "Now you just need to reach $(town) and collect the reward from the mayorhouse. And hope no karauder "\
                          "will cross paths with you..."						  
		reward {
			credits_per_cargo = hunted_documents:1500
			fame = 5
		}
		claim_the_reward_text = "You meet the Jean-Luc Buffet himself, who is eager to take the documents from you. He briefly examines "\
                		  "them and later he hands you a credit card as a reward."
    }
    contractor {
		name = "Contractor"
        description     = "You are the shipping contractor. Every#a28c74 Composites#ffffff sold here is "\
						  "worth additional#ffff00 200$#ffffff for you."
		reqs {
			min_reputation = 0
			influence_roll = 1
		}
		mission_text    = "Fortifications are being built to combat frequent local tribes raids. "\
						  "The mayor asks you to become a shipping contractor. As long as you're the "\
                          "contractor, $(town) will pay you extra#ffff00 200$#ffffff for every"\
						  "#a28c74 Composites#ffffff you sell here.\n\n"\
						  "#cc9911Note: All#a28c74 Composites#cc9911 drawn in $(town)#cc9911 will be "\
						  "re-drawn while this mission is in place."
	}
    flora_and_fauna {
		name = "Flora et fauna"
        description     = Mayor wants local flora examples to be brought from the hidden valleys near $(town).
		reqs {
			min_reputation = 0
			influence_roll = 1
		}
		mission_text    = The mayor reveals himself to be an ex-botanist. He is particularly interested in finding new species or plants on the Karakis. \
						  He claims that near $(town) there is a net of hidden valleys full of local flora examples. \
						  The mayor ask if you could ride there and bring the samples back for further examination. \
                          He would pay #ffff00500$#ffffff for each sample you would bring.\n\n\
                          #cc9911"We can only dream of what wonders the New World may hold..."#ffffff\n\n
		claim_text      = "Location of the hidden valleys has been marked on your map. "
		world_object {
		    name = Hidden valleys
			description = This is where the hidden valleys full of local flora examples are supposed to be.
			scout_failure_text = "#ff0000Mission failed!#ffffff\n\nYou spend whole day searching for any unusual plants or flowers that mayor "\
                          "could be interested in. Unfortunately you found nothing..."
			scout_result {
				message = "You spend whole day searching for any unusual plants and flowers "\
						  "that mayor could be interested in. At the end you gather a few examples "\
						  "and ponder if they'll all fit into your cargo hull..."
				goods = plants
			}
		}
		reward {
			credits_per_cargo = plants:500
			reputation = 10
			fame = 5
		}
		claim_the_reward_text = "You show the plant samples to the mayor. He express his content and orders his clerks to give you "\
                          "a reward for all the material you have brought. He also promise to spread a word "\
                          "among his house about your deed."
    }
	connoisseur {
		name = "The connoisseur"
        description     = Count de Chateaurenault asked you to bring herbs from $(town).
		marker_description = Here you can buy some herbs for The Count de Chateaurenault.
		reqs {
			influence_roll = 1
		}
		mission_text    = The Count de Chateaurenault is unimpressed by the flavours of \
		                  local herbs. The Count will pay (one time only)#ffff00 700$#ffffff \
						  for every#884fc5 Herb#ffffff cargo bought in $(town).
		reward {
			credits_per_cargo = herbs_connoisseur:700
			fame = 5
		}
		claim_the_reward_text = "You show your herbs bought in $(town) to the Count. He is really pleased "\
		                  "with the the flavours and moments later he decides to buy all of them."
	}
}
